Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] Problems with lapack and blas
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
chi86
Apprentice
Apprentice


Joined: 30 Jul 2013
Posts: 164
Location: Austria

PostPosted: Mon Aug 17, 2015 6:33 am    Post subject: [Solved] Problems with lapack and blas Reply with quote

Hi,
I have some troubles lately with installing and updateing science packages! For example if I try emerging `sci-libs/scipy-0.15.1`:

Error Message:
Code:
>>> Failed to emerge sci-libs/scipy-0.15.1, Log file:
>>>  '/var/tmp/portage/sci-libs/scipy-0.15.1/temp/build.log'
>>> Jobs: 0 of 2 complete, 1 failed                 Load avg: 0.94, 0.78, 0.86
 * Package:    sci-libs/scipy-0.15.1
 * Repository: gentoo
 * Maintainer: sci@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux python_targets_python2_7 python_targets_python3_4 userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> cfg-update-1.8.2-r1: Checksum index is up-to-date ...
 * Using following Fortran compiler:
 *   F77: x86_64-pc-linux-gnu-gfortran
 *   FC:  x86_64-pc-linux-gnu-gfortran
>>> Unpacking source...
>>> Unpacking scipy-0.15.1.tar.gz to /var/tmp/portage/sci-libs/scipy-0.15.1/work
>>> Source unpacked in /var/tmp/portage/sci-libs/scipy-0.15.1/work
>>> Preparing source in /var/tmp/portage/sci-libs/scipy-0.15.1/work/scipy-0.15.1 ...
Package blas was not found in the pkg-config search path.
Perhaps you should add the directory containing `blas.pc'
to the PKG_CONFIG_PATH environment variable
No package 'blas' found
Package blas was not found in the pkg-config search path.
Perhaps you should add the directory containing `blas.pc'
to the PKG_CONFIG_PATH environment variable
No package 'blas' found
Package lapack was not found in the pkg-config search path.
Perhaps you should add the directory containing `lapack.pc'
to the PKG_CONFIG_PATH environment variable
No package 'lapack' found
Package lapack was not found in the pkg-config search path.
Perhaps you should add the directory containing `lapack.pc'
to the PKG_CONFIG_PATH environment variable
No package 'lapack' found
 * Applying scipy-0.12.0-blitz.patch ...
 [ ok ]
 * Applying scipy-0.12.0-restore-sys-argv.patch ...
 [ ok ]
 * Will copy sources from /var/tmp/portage/sci-libs/scipy-0.15.1/work/scipy-0.15.1
 * python3_4: copying to /var/tmp/portage/sci-libs/scipy-0.15.1/work/scipy-0.15.1-python3_4
 * python2_7: copying to /var/tmp/portage/sci-libs/scipy-0.15.1/work/scipy-0.15.1-python2_7
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/sci-libs/scipy-0.15.1/work/scipy-0.15.1 ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/sci-libs/scipy-0.15.1/work/scipy-0.15.1 ...
 * python3_4: running distutils-r1_run_phase python_compile
Processing scipy/special/_ufuncs.pyx
Processing scipy/special/_ufuncs_cxx.pyx
Processing scipy/special/_ellip_harm_2.pyx
Processing scipy/cluster/_vq.pyx
Processing scipy/cluster/_hierarchy.pyx
Processing scipy/interpolate/_ppoly.pyx
Processing scipy/interpolate/interpnd.pyx
Processing scipy/signal/_spectral.pyx
Processing scipy/signal/_max_len_seq.pyx
Processing scipy/sparse/_csparsetools.pyx.in
Processing scipy/sparse/csgraph/_reordering.pyx
Processing scipy/sparse/csgraph/_shortest_path.pyx
Processing scipy/sparse/csgraph/_min_spanning_tree.pyx
Processing scipy/sparse/csgraph/_traversal.pyx
Processing scipy/sparse/csgraph/_tools.pyx
Processing scipy/spatial/qhull.pyx
Processing scipy/spatial/ckdtree.pyx
Processing scipy/io/matlab/mio_utils.pyx
Processing scipy/io/matlab/streams.pyx
Processing scipy/io/matlab/mio5_utils.pyx
Processing scipy/stats/vonmises_cython.pyx
Processing scipy/stats/_rank.pyx
Processing scipy/ndimage/src/_ni_label.pyx
/usr/bin/python3.4 setup.py build config_fc --noopt --noarch
lapack_opt_info:
system_info:
  NOT AVAILABLE

lapack_info:
  libraries  not found in ['/usr/lib64']
  NOT AVAILABLE

lapack_src_info:
  NOT AVAILABLE

  NOT AVAILABLE

/usr/lib64/python3.4/distutils/dist.py:260: UserWarning: Unknown distribution option: 'setup_requires'
  warnings.warn(msg)
/usr/lib64/python3.4/distutils/dist.py:260: UserWarning: Unknown distribution option: 'install_requires'
  warnings.warn(msg)
/usr/lib64/python3.4/distutils/dist.py:260: UserWarning: Unknown distribution option: 'test_suite'
  warnings.warn(msg)
/usr/lib64/python3.4/site-packages/numpy/distutils/system_info.py:1419: UserWarning:
    Atlas (http://math-atlas.sourceforge.net/) libraries not found.
    Directories to search for the libraries can be specified in the
    numpy/distutils/site.cfg file (section [atlas]) or by setting
    the ATLAS environment variable.
  warnings.warn(AtlasNotFoundError.__doc__)
/usr/lib64/python3.4/site-packages/numpy/distutils/system_info.py:568: UserWarning: Specified path  is invalid.
  warnings.warn('Specified path %s is invalid.' % d)
/usr/lib64/python3.4/site-packages/numpy/distutils/system_info.py:1430: UserWarning:
    Lapack (http://www.netlib.org/lapack/) libraries not found.
    Directories to search for the libraries can be specified in the
    numpy/distutils/site.cfg file (section [lapack]) or by setting
    the LAPACK environment variable.
  warnings.warn(LapackNotFoundError.__doc__)
/usr/lib64/python3.4/site-packages/numpy/distutils/system_info.py:1433: UserWarning:
    Lapack (http://www.netlib.org/lapack/) sources not found.
    Directories to search for the sources can be specified in the
    numpy/distutils/site.cfg file (section [lapack_src]) or by setting
    the LAPACK_SRC environment variable.
  warnings.warn(LapackSrcNotFoundError.__doc__)
Running from scipy source directory.
Traceback (most recent call last):
  File "setup.py", line 249, in <module>
    setup_package()
  File "setup.py", line 246, in setup_package
    setup(**metadata)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/core.py", line 135, in setup
    config = configuration()
  File "setup.py", line 173, in configuration
    config.add_subpackage('scipy')
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/misc_util.py", line 966, in add_subpackage
    caller_level = 2)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/misc_util.py", line 935, in get_subpackage
    caller_level = caller_level + 1)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/misc_util.py", line 872, in _get_configuration_from_setup_py
    config = setup_module.configuration(*args)
  File "scipy/setup.py", line 16, in configuration
    config.add_subpackage('linalg')
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/misc_util.py", line 966, in add_subpackage
    caller_level = 2)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/misc_util.py", line 935, in get_subpackage
    caller_level = caller_level + 1)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/misc_util.py", line 872, in _get_configuration_from_setup_py
    config = setup_module.configuration(*args)
  File "scipy/linalg/setup.py", line 18, in configuration
    raise NotFoundError('no lapack/blas resources found')
numpy.distutils.system_info.NotFoundError: no lapack/blas resources found
 * ERROR: sci-libs/scipy-0.15.1::gentoo failed (compile phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_compile
 *   environment, line 4124:  Called distutils-r1_src_compile
 *   environment, line 1218:  Called _distutils-r1_run_foreach_impl 'python_compile'
 *   environment, line  376:  Called python_foreach_impl 'distutils-r1_run_phase' 'python_compile'
 *   environment, line 3557:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'python_compile'
 *   environment, line 2642:  Called _multibuild_run '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'python_compile'
 *   environment, line 2640:  Called _python_multibuild_wrapper 'distutils-r1_run_phase' 'python_compile'
 *   environment, line  818:  Called distutils-r1_run_phase 'python_compile'
 *   environment, line 1211:  Called python_compile
 *   environment, line 3159:  Called distutils-r1_python_compile 'config_fc' '--noopt' '--noarch'
 *   environment, line 1091:  Called esetup.py 'build' 'config_fc' '--noopt' '--noarch'
 *   environment, line 1699:  Called die
 * The specific snippet of code:
 *       "${@}" || die
 *
 * If you need support, post the output of `emerge --info '=sci-libs/scipy-0.15.1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sci-libs/scipy-0.15.1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/sci-libs/scipy-0.15.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-libs/scipy-0.15.1/temp/environment'.
 * Working directory: '/var/tmp/portage/sci-libs/scipy-0.15.1/work/scipy-0.15.1-python3_4'
 * S: '/var/tmp/portage/sci-libs/scipy-0.15.1/work/scipy-0.15.1'


Code:

emerge --info '=sci-libs/scipy-0.15.1::gentoo'
Portage 2.2.20.1 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop/gnome/systemd, gcc-4.8.4, glibc-2.20-r2, 3.10.25-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.10.25-gentoo-x86_64-AMD_Phenom-tm-_II_X4_955_Processor-with-gentoo-2.2
KiB Mem:    16435244 total,    795772 free
KiB Swap:    1048572 total,    897544 free
Timestamp of repository gentoo: Mon, 17 Aug 2015 05:00:01 +0000
sh bash 4.3_p39
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.3_p39::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.9-r1::gentoo, 3.4.3::gentoo
dev-util/cmake:           3.2.2::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.17::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.24-r3::gentoo
sys-devel/gcc:            4.8.4::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

aegypius
    location: /var/lib/layman/aegypius
    masters: gentoo
    priority: 50

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=athlon64 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.inode.at/ ftp://gentoo.inode.at/source/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 apache2 berkdb bluetooth branding bzip2 cairo cdda cdr cli colord cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fortran gdbm gif git glamor gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk gzip iconv introspection ipv6 jpeg lcms ldap libnotify libsecret mad mikmod mmx mmxext mng modules mp3 mp4 mpeg mulitilib multilib nautilus ncurses nls nptl nsplugin ogg opengl openmp openmpi pam pango pcre pdf png policykit ppds pulseaudio qt3support qt4 readline scanner sdl session spell sse sse2 ssl startup-notification subversion svg systemd tcpd threads tiff tracker truetype udev udisks unicode upower usb vim-syntax vorbis wxwidgets x264 xcb xml xv xvid zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python3_4 python2_7" RUBY_TARGETS="ruby19 ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="3.4 2.7"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



Than I tried revdep-rebuild which got me:

Code:
checking for Fortran 77 libraries of x86_64-pc-linux-gnu-gfortran...  -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../.. -lgfortran -lm -lquadmath
checking for dummy main to link with Fortran 77 libraries... none
checking for Fortran 77 name-mangling scheme... lower case, underscore, no extra underscore
checking if sgemm_ is being linked in already... no
checking for ATL_xerbla in -latlas... no
checking for sgemm_ in -lblas... no
checking for sgemm_ in -lmkl... no
checking for sgemm_ in -framework vecLib... no
checking for sgemm_ in -lcxml... no
checking for sgemm_ in -ldxml... no
checking for sgemm_ in -lscs... no
checking for sgemm_ in -lcomplib.sgimath... no
checking for sgemm_ in -lblas... (cached) no
checking for sgemm_ in -lblas... (cached) no
configure: error: Cannot find BLAS libraries

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/sci-libs/arpack-3.1.3-r1/work/arpack-3.1.3_build/config.log
 * ERROR: sci-libs/arpack-3.1.3-r1::gentoo failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *               ebuild.sh, line   93:  Called src_configure
 *             environment, line 3291:  Called autotools-utils_src_configure
 *             environment, line  862:  Called econf '--docdir=/usr/share/doc/arpack-3.1.3-r1' '--enable-shared' '--disable-static' '--with-blas=' '--with-lapack=' '--disable-mpi'
 *        phase-helpers.sh, line  662:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *         die "$@"
 *
 * If you need support, post the output of `emerge --info '=sci-libs/arpack-3.1.3-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sci-libs/arpack-3.1.3-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/sci-libs/arpack-3.1.3-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-libs/arpack-3.1.3-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/sci-libs/arpack-3.1.3-r1/work/arpack-3.1.3_build'
 * S: '/var/tmp/portage/sci-libs/arpack-3.1.3-r1/work/arpack-ng-3.1.3'


The eselect of both packages gives me:
Code:
eselect lapack list:
Installed LAPACK for library directory lib64
  [1]   mkl-gfortran *
  [2]   mkl-gfortran-threads

Code:
eselect blas list:
Installed BLAS for library directory lib64
  [1]   mkl-gfortran *
  [2]   mkl-gfortran-threads


Is the MKL the problem? But I can't set it to something different!

Any ideas?


Last edited by chi86 on Mon Aug 17, 2015 1:08 pm; edited 1 time in total
Back to top
View user's profile Send private message
ian.au
Guru
Guru


Joined: 07 Apr 2011
Posts: 433
Location: Australia

PostPosted: Mon Aug 17, 2015 8:45 am    Post subject: Reply with quote

Looks like a python problem. What is your default implementation?
Code:
eselect python list
does
Code:
grep PYTHON /etc/portage/make.conf
return anything?
Back to top
View user's profile Send private message
chi86
Apprentice
Apprentice


Joined: 30 Jul 2013
Posts: 164
Location: Austria

PostPosted: Mon Aug 17, 2015 8:56 am    Post subject: Reply with quote

ian.au wrote:
Looks like a python problem. What is your default implementation?
Code:
eselect python list


Gives me:

Code:
eselect python list
Available Python interpreters:
  [1]   python2.7
  [2]   python3.4 *


ian.au wrote:
does
Code:
grep PYTHON /etc/portage/make.conf
return anything?


Shows:
Code:
grep PYTHON /etc/portage/make.conf
USE_PYTHON='3.4 2.7'
PYTHON_TARGETS="python3_4 python2_7"
PYTHON_SINGLE_TARGET="python3_4"


I already asked once here if the make.conf workes and the answer was yes (https://forums.gentoo.org/viewtopic-p-7788208-highlight-.html#7788208)
Back to top
View user's profile Send private message
ian.au
Guru
Guru


Joined: 07 Apr 2011
Posts: 433
Location: Australia

PostPosted: Mon Aug 17, 2015 9:00 am    Post subject: Reply with quote

Just set your main interpreter back to 2.7
Code:
eselect python set 1
and resource your profile.

Your make.conf is fine.
Back to top
View user's profile Send private message
chi86
Apprentice
Apprentice


Joined: 30 Jul 2013
Posts: 164
Location: Austria

PostPosted: Mon Aug 17, 2015 10:47 am    Post subject: Reply with quote

ian.au wrote:
Just set your main interpreter back to 2.7
Code:
eselect python set 1
and resource your profile.

Your make.conf is fine.


I set now the profile back to python 2.7 but I have no idear how to tell the system to use python 2.7 or is this than set for the entire sesson?

Quote:
and resource your profile.
I have no iedar how to doe that!
Back to top
View user's profile Send private message
ian.au
Guru
Guru


Joined: 07 Apr 2011
Posts: 433
Location: Australia

PostPosted: Mon Aug 17, 2015 10:56 am    Post subject: Reply with quote

As root (or via sudo if you've installed it)
Code:
env-update &&source /etc/profile
Back to top
View user's profile Send private message
chi86
Apprentice
Apprentice


Joined: 30 Jul 2013
Posts: 164
Location: Austria

PostPosted: Mon Aug 17, 2015 11:29 am    Post subject: Reply with quote

Ok I did that now and lapack, blas and cblas can be installed now but when I do a revdev-rebulid an error accures:

Code:
>>> Emerging (1 of 9) sci-libs/arpack-3.1.3-r1::gentoo
 * arpack-ng-3.1.3.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                                                    [ ok ]
>>> cfg-update-1.8.2-r1: Creating checksum index...
 * Using following Fortran compiler:
 *   F77: x86_64-pc-linux-gnu-gfortran
 *   FC:  x86_64-pc-linux-gnu-gfortran
>>> Unpacking source...
>>> Unpacking arpack-ng-3.1.3.tar.gz to /var/tmp/portage/sci-libs/arpack-3.1.3-r1/work
>>> Source unpacked in /var/tmp/portage/sci-libs/arpack-3.1.3-r1/work
>>> Preparing source in /var/tmp/portage/sci-libs/arpack-3.1.3-r1/work/arpack-ng-3.1.3 ...
 * Applying arpack-3.1.3-pkgconfig.patch ...                                                                                                                                      [ ok ]
 * Running eautoreconf in '/var/tmp/portage/sci-libs/arpack-3.1.3-r1/work/arpack-ng-3.1.3' ...
 * Running libtoolize --install --copy --force --automake ...                                                                                                                     [ ok ]
 * Running aclocal -I m4/ ...                                                                                                                                                     [ ok ]
 * Running autoconf --force ...                                                                                                                                                   [ ok ]
 * Running automake --add-missing --copy --foreign --force-missing ...                                                                                                            [ ok ]
 * Running elibtoolize in: arpack-ng-3.1.3/
 *   Applying portage/1.2.0 patch ...
 *   Applying sed/1.5.6 patch ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/sci-libs/arpack-3.1.3-r1/work/arpack-ng-3.1.3 ...
Package blas was not found in the pkg-config search path.
Perhaps you should add the directory containing `blas.pc'
to the PKG_CONFIG_PATH environment variable
No package 'blas' found
Package lapack was not found in the pkg-config search path.
Perhaps you should add the directory containing `lapack.pc'
to the PKG_CONFIG_PATH environment variable
No package 'lapack' found
>>> Working in BUILD_DIR: "/var/tmp/portage/sci-libs/arpack-3.1.3-r1/work/arpack-3.1.3_build"
 * econf: updating arpack-ng-3.1.3/config.sub with /usr/share/gnuconfig/config.sub
 * econf: updating arpack-ng-3.1.3/config.guess with /usr/share/gnuconfig/config.guess
/var/tmp/portage/sci-libs/arpack-3.1.3-r1/work/arpack-ng-3.1.3/configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-dependency-tracking --disable-silent-rules --libdir=/usr/lib64 --docdir=/usr/share/doc/arpack-3.1.3-r1 --enable-shared --disable-static --with-blas= --with-lapack= --disable-mpi
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for x86_64-pc-linux-gnu-g77... x86_64-pc-linux-gnu-gfortran
checking whether the Fortran 77 compiler works... yes
checking for Fortran 77 compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU Fortran 77 compiler... yes
checking whether x86_64-pc-linux-gnu-gfortran accepts -g... yes
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for style of include used by make... GNU
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking whether x86_64-pc-linux-gnu-gcc understands -c and -o together... yes
checking dependency style of x86_64-pc-linux-gnu-gcc... none
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by x86_64-pc-linux-gnu-gcc... /usr/x86_64-pc-linux-gnu/bin/ld
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/x86_64-pc-linux-gnu-nm -B
checking the name lister (/usr/bin/x86_64-pc-linux-gnu-nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/x86_64-pc-linux-gnu/bin/ld option to reload object files... -r
checking for x86_64-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for x86_64-pc-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for x86_64-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar
checking for archiver @FILE support... @
checking for x86_64-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip
checking for x86_64-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib
checking command to parse /usr/bin/x86_64-pc-linux-gnu-nm -B output from x86_64-pc-linux-gnu-gcc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for x86_64-pc-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if x86_64-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no
checking for x86_64-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-gcc static flag -static works... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-gcc linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for x86_64-pc-linux-gnu-gfortran option to produce PIC... -fPIC
checking if x86_64-pc-linux-gnu-gfortran PIC flag -fPIC works... yes
checking if x86_64-pc-linux-gnu-gfortran static flag -static works... yes
checking if x86_64-pc-linux-gnu-gfortran supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gfortran supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-gfortran linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking how to get verbose linking output from x86_64-pc-linux-gnu-gfortran... -v
checking for Fortran 77 libraries of x86_64-pc-linux-gnu-gfortran...  -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../.. -lgfortran -lm -lquadmath
checking for dummy main to link with Fortran 77 libraries... none
checking for Fortran 77 name-mangling scheme... lower case, underscore, no extra underscore
checking if sgemm_ is being linked in already... no
checking for ATL_xerbla in -latlas... no
checking for sgemm_ in -lblas... no
checking for sgemm_ in -lmkl... no
checking for sgemm_ in -framework vecLib... no
checking for sgemm_ in -lcxml... no
checking for sgemm_ in -ldxml... no
checking for sgemm_ in -lscs... no
checking for sgemm_ in -lcomplib.sgimath... no
checking for sgemm_ in -lblas... (cached) no
checking for sgemm_ in -lblas... (cached) no
configure: error: Cannot find BLAS libraries

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/sci-libs/arpack-3.1.3-r1/work/arpack-3.1.3_build/config.log
 * ERROR: sci-libs/arpack-3.1.3-r1::gentoo failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *               ebuild.sh, line   93:  Called src_configure
 *             environment, line 3291:  Called autotools-utils_src_configure
 *             environment, line  862:  Called econf '--docdir=/usr/share/doc/arpack-3.1.3-r1' '--enable-shared' '--disable-static' '--with-blas=' '--with-lapack=' '--disable-mpi'
 *        phase-helpers.sh, line  662:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *         die "$@"
 *
 * If you need support, post the output of `emerge --info '=sci-libs/arpack-3.1.3-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sci-libs/arpack-3.1.3-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/sci-libs/arpack-3.1.3-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-libs/arpack-3.1.3-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/sci-libs/arpack-3.1.3-r1/work/arpack-3.1.3_build'
 * S: '/var/tmp/portage/sci-libs/arpack-3.1.3-r1/work/arpack-ng-3.1.3'
Back to top
View user's profile Send private message
ian.au
Guru
Guru


Joined: 07 Apr 2011
Posts: 433
Location: Australia

PostPosted: Mon Aug 17, 2015 11:40 am    Post subject: Reply with quote

Quote:
Package blas was not found in the pkg-config search path.
Perhaps you should add the directory containing `blas.pc'
to the PKG_CONFIG_PATH environment variable
No package 'blas' found
Package lapack was not found in the pkg-config search path.
Perhaps you should add the directory containing `lapack.pc'
to the PKG_CONFIG_PATH environment variable
No package 'lapack' found

I'd guess the above is why. You could try updating your environment again, in case the paths haven't been updated yet since you just emerged them.

Same command as last time ;) env-update &&source /etc/profile

If that's no good:
Quote:
* If you need support, post the output of `emerge --info '=sci-libs/arpack-3.1.3-r1::gentoo'`,
* the complete build log and the output of `emerge -pqv '=sci-libs/arpack-3.1.3-r1::gentoo'`
Use wgetpaste and post the link, if this is required - the build file wont fit in a post.
Back to top
View user's profile Send private message
chi86
Apprentice
Apprentice


Joined: 30 Jul 2013
Posts: 164
Location: Austria

PostPosted: Mon Aug 17, 2015 11:50 am    Post subject: Reply with quote

I did do the update of the environment again but it did not help anything!

here is the "/var/tmp/portage/sci-libs/arpack-3.1.3-r1/temp/build.log" output: https://bpaste.net/show/8f5665287be6

and here the "emerge --info '=sci-libs/arpack-3.1.3-r1::gentoo'" output: https://bpaste.net/show/51e715817da3

I get a similar error message when I try to emerge scipy ...
Back to top
View user's profile Send private message
ian.au
Guru
Guru


Joined: 07 Apr 2011
Posts: 433
Location: Australia

PostPosted: Mon Aug 17, 2015 12:48 pm    Post subject: Reply with quote

Quote:
configure: error: Cannot find BLAS libraries

Well there are definitely problems with the PATH as indicated in the previous error. I'm not sure why that would be the case, usually the ebuilds will sort that out for you. As I don't use these libraries and haven't had to wrangle these issues myself so I may not be all that much use to you.

Try running as root
Code:
python-updater
and see if that fixes the build issues.
Back to top
View user's profile Send private message
chi86
Apprentice
Apprentice


Joined: 30 Jul 2013
Posts: 164
Location: Austria

PostPosted: Mon Aug 17, 2015 1:07 pm    Post subject: Reply with quote

So I figured out what the problem was!
blas,lapack and cblas did not work proper with mkl-gfortran, therefore I installed:

Code:

emerge -1 blas-reference
emerge -1 lapack-reference
emerge -1 cblas-reference


Than changed in eselect from mkl to refernce:

Code:

 eselect blas set reference
 eselect lapack set reference
 eselect cblas set reference


and than arpack and scipy emerged without problems!!!!

Thanks for your help!
Back to top
View user's profile Send private message
ian.au
Guru
Guru


Joined: 07 Apr 2011
Posts: 433
Location: Australia

PostPosted: Mon Aug 17, 2015 1:09 pm    Post subject: Reply with quote

Excellent, glad you got it sorted.
Back to top
View user's profile Send private message
chi86
Apprentice
Apprentice


Joined: 30 Jul 2013
Posts: 164
Location: Austria

PostPosted: Mon Aug 17, 2015 1:10 pm    Post subject: Reply with quote

Thanks I really appreciate your help!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum